# Подключение к вычислительному кластеру ВолгГТУ

Для работы с вычислительным кластером ВолГТУ можно использовать програмное обеспечение, использующее для взаимодействия протокол __ssh__.

## Вход на кластер

Для входа на вычислительный кластер Волгоградского государственного технического университета используются следующие аутентификационные данные:

### IP

`79.170.167.30`

или

`cluster.vstu.ru`

### Порт

`57322`

### Аутентификационные данные

Уточните у вашего преподавателя.

## После входа

Подключившись к головному узлу по инструкции выше __рекомендуется__ ничего не выполнять __прямо на нём__

Желательно сразу же перейти на другой узел при помощи команды

`ssh %имя_узла`

Список имён узлов для перехода можно найти в [__списке узлов вычислительного кластера__](../clusterNodes/nodelist.md)


## ПО для подключения

### Windows

Можно использовать утилиты [__PuTTY__](https://www.chiark.greenend.org.uk/~sgtatham/putty/latest.html) для подключения к кластеру и создания активного соединения и [__WinSCP__](https://winscp.net/eng/download.php) для передачи файлов, если вы используете Windows.

### Linux

Для подключения и передачи файлов можно применять обычный терминал используя команды:

`$ ssh %IP-адрес -p %порт`

`$ scp `


### Универсальное решение

Рекомендуется использовать для работы [__VisualStudioCode__](https://code.visualstudio.com/Download), в дальнейшем будет обозначаться как __VSCode__


