# Для студентов

## Введение

Jupyterhub -- многопользовательский сервер c возможностью запускать Jupyter Notebook одной кнопкой. Он установлен на 31 узле кластера и настроен для работы с системой очередей SLURM, что позволяет работать с Jupyter Notebook сразу нескольким людям, не мешая друг другу.

## Подключение

Для подключения к Jupyterhub необходимо:

 1. Ввести в командную строку (если вы на windows 10+) либо в терминал (если вы на любом дистрибутиве GNU/Linux или даже BSD)
    ssh -p 57322 -L 50000:192.168.1.32:50000 portforward@cluster.vstu.ru
 2. Если вы подключаетесь впервые вписать yes
 3. Ввести пароль AT&T
 4. Jupyterhub будет доступен по адресу localhost:50000
 5. В форме авторизации нужно будет ввести любого пользователя кластера, данные вам выдаст преподаватель.
 6. Вам будет доступно 2 venv - для обучения нейронных сетей и для математики. Посмотреть список установленных библиотек можно командой pip list. Установить новые пакеты так же можно командой pip install, эти venv не требуют root-прав.

Сессия выдаётся на 6 часов, по истечении времени необходимо будет создать Jupyter notebook сервер заново.



# Для админов

Jupyterhub настраивается файлом /etc/jupyterhub/jupyterhub_config.py

Работает через systemd, название демона -- jupyterhub

Вся документация по Jupyterhub -- https://jupyterhub.readthedocs.io/en/stable/

Вся документация по Batchspawner -- https://pypi.org/project/batchspawner/

Под авторством: Фёдор Ч. 2024 год.